<html><head><!-- File generated by "simple-zope-website" by Ernesto Posse (c) 2002 --><title>aperiot</title> 
   
   
     
    <link rel="stylesheet" type="text/css" href="distro.dtml_files/msdl.css"></head><body bgcolor="#ffffff"> 
    <!-- Title --> 
    <table summary="Table for page banner" border="0" cellpadding="0" cellspacing="0" height="94" width="100%"> 
      <tbody><tr> 
        <td width="214"> 
          <img src="distro.dtml_files/mcgill.gif" align="left" border="0"> 
        </td> 
        <td align="right" valign="middle" width="100%"> 
          <h1>aperiot<br><hr noshade="noshade" width="460"></h1> 
        </td> 
      </tr> 
    </tbody></table> 

    <!-- Main frame --> 
    <table summary="Table for navigation bar, content and footer" border="0" cellpadding="5" cellspacing="0"> 
      <tbody><tr> 
        <td align="left" bgcolor="#cccccc" valign="top" width="109"> 


          <!-- Navigation bar --> 
          <table border="0" cellpadding="4" cellspacing="0" width="109"> 
            <tbody><tr> 
              <td width="11"> 
                <img src="distro.dtml_files/red_dot.gif" valign="middle" align="middle" border="0"></td> 
              <td width="90"> 
                <a href="http://moncs.cs.mcgill.ca/people/eposse/projects/aperiot/index_html"><font color="black">Welcome</font></a></td> 
            </tr> 
            <tr> 
              <td width="11"> 
                <img src="distro.dtml_files/red_dot.gif" valign="middle" align="middle" border="0"></td> 
              <td width="90"> 
                <a href="http://moncs.cs.mcgill.ca/people/eposse/projects/aperiot/atglance.dtml"><font color="black">Aperiot at glance</font></a></td> 
            </tr> 
            <tr> 
              <td width="11"> 
                <img src="distro.dtml_files/red_dot.gif" valign="middle" align="middle" border="0"></td> 
              <td width="90"> 
                <a href="http://moncs.cs.mcgill.ca/people/eposse/projects/aperiot/distro.dtml"><font color="black">Distribution</font></a></td> 
            </tr> 
            <tr> 
              <td width="11"> 
                <img src="distro.dtml_files/red_dot.gif" valign="middle" align="middle" border="0"></td> 
              <td width="90"> 
                <a href="http://moncs.cs.mcgill.ca/people/eposse/projects/aperiot/doc.dtml"><font color="black">Documentation</font></a></td> 
            </tr> 
            <tr> 
              <td width="11"> 
                <img src="distro.dtml_files/red_dot.gif" valign="middle" align="middle" border="0"></td> 
              <td width="90"> 
                <a href="http://moncs.cs.mcgill.ca/people/eposse/projects/aperiot/credits.dtml"><font color="black">Credits</font></a></td> 
            </tr> 
        </tbody></table> 

        </td><td align="left" valign="top"> 
          <!-- Contents --> 


          <p>

          </p><h2>Distribution</h2>

          <p>
          The latest version is 0.1.2.

          </p><p>

          </p><h3>Requirements</h3>

          <p>

          </p><h4>Software</h4>

          <p>
          <font face="helvetica">aperiot</font>&nbsp;requires the following software packages:

          </p><p>

          </p><ul><p>
          </p><li> Python 2.4 or newer (it can be obtained at <a href="http://www.python.org/"><tt>http://www.python.org</tt></a>)</li>
          </ul>

          <p>

          </p><h4>Operating System/Hardware</h4>

          <p>
          <font face="helvetica">aperiot</font>&nbsp;runs on any platform that can run Python. This includes
          several varieties of Unix/Linux, MS-Windows, and MacOS.

          </p><p>
          It has been tested on Linux (Fedora Core 5, Linux kernel 2.6.17) and
          Windows XP.

          </p><p>
          Most Linux distributions include Python, but some such as SuSE and
          Debian, seem to lack some packages of Python's standard library which
          are needed (in particular the <tt>distutils</tt> package.) This results
          in an error message when attempting to install or run <font face="helvetica">aperiot</font>. This
          may be fixed by installing the Python ``developer'' packages available
          for the Linux distribution from the corresponding vendor's repository,
          or alternatively doing a clean install of Python from <a href="http://www.python.org/">Python's official website</a>.

          </p><p>

          </p><h3>Distribution</h3>

          <p>
          <font face="helvetica">aperiot</font>&nbsp;is available in the following formats:

          </p><p>

          <table border="1">
          <tbody><tr><td>Format</td><td>File</td><td>Size</td></tr>
          <tr><td>
          </td></tr><tr><td>Source ZIP archive</td><td><a href="http://moncs.cs.mcgill.ca/people/eposse/projects/aperiot/aperiot-0.1.2.zip"><tt>aperiot-0.1.2.zip</tt></a></td><td>245 KB</td></tr>

          <tr><td>Source tarball (gzipped tar archive)</td><td><a href="http://moncs.cs.mcgill.ca/people/eposse/projects/aperiot/aperiot-0.1.2.tar.gz"><tt>aperiot-0.1.2.tar.gz</tt></a></td><td>232 KB</td></tr>
          </tbody></table>


          </p><p>

          </p><h3>Installing</h3>

          <p>
          Please read the licence terms found <a href="http://moncs.cs.mcgill.ca/people/eposse/projects/aperiot/credits.dtml">here</a> or
          in the file <tt>LICENCE</tt> found in the distribution.

          </p><p>

          </p><ol type="1"><p>
          </p><li> Extract the archive in some directory <em>dir</em>.

          <p>
          This will create a directory called <tt><tt>aperiot-0.1.2</tt></tt> under <em>dir</em>.
          </p><p>
          </p></li><li> Open a console window and go to the extracted directory by typing:

          <p>
          <tt>&nbsp;&nbsp;cd</tt> <em>path_to_dir</em><tt>\<tt>aperiot-0.1.2</tt></tt> 

          </p><p>
          on Windows, or

          </p><p>
          <tt>&nbsp;&nbsp;cd</tt> <em>path_to_dir</em><tt>/<tt>aperiot-0.1.2</tt></tt> 

          </p><p>
          on Unix/Linux, where <em>path_to_dir</em> is the absolute path of
          <em>dir</em>.
          </p><p>
          </p></li><li> Execute the install script by typing the following on the command-line:

          <p>
          <tt>&nbsp;&nbsp;python setup.py install</tt>
          </p></li></ol>
          And it's done. The directories where the files have been installed
          will be recorded in the file <tt>install_data.py</tt>. The full list
          of files is recorded into a filed called <tt>installed_files.lst</tt>.
          Do not modify these files unless you are absolutely sure you know
          what you are doing.

          <p>
          IMPORTANT: If, at a later time you want to uninstall the package,
          be sure to either keep your extracted distribution directory or, alternatively,
          do not move the installed files to a different location so that the
          uninstaller can find them in the default locations.

          </p><p>
          The executable script (<tt>apr</tt>) will be installed in the default
          python's scripts directory (the <tt>install_scripts</tt> attribute
          in the <tt>install_data.py</tt> file.) Usually this is <tt>/usr/local/bin</tt>
          or <tt>/usr/bin</tt> on Unix/Linux, and on Windows, the <tt>Scripts</tt>
          subdirectory of your Python installation (e.g. <tt>C:\Program
          Files\Python24\Scripts</tt>.)

          </p><p>
          You might want to add this path (the <tt>install_scripts</tt> attribute
          in the <tt>install_data.py</tt> file.) to your system's path environment
          variable for easy access to the program. 

          </p><p>
          The Python packages will be installed in the site-packages of your
          Python installation (the <tt>install_</tt><em>xxxx</em><tt>lib</tt>
          attributes in the <tt>install_data.py</tt> file.) Usually this is
          <tt>/usr/local/lib/python24/site-packages</tt> or, on Windows, <tt>/usr/lib/python24/site-packages</tt>
          on Unix/Linux, or the <tt>Lib\site-packages</tt> subdirectory
          of your Python installation (e.g. <tt>C:\Program Files\
          Python24\Lib\site-packages</tt>.)

          </p><p>
          (For more detailed installation instructions see the <tt>INSTALL</tt>
          file included in the distribution.)

          </p><p>

          </p><h3>Uninstalling</h3>

          <p>

          </p><ol type="1"><p>
          </p><li> Open a console window and go to the directory where you extracted
          the distribution<a href="#tthFtNtAAB" name="tthFrefAAB"><sup>1</sup></a>:

          <p>
          <tt>&nbsp;&nbsp;cd</tt> <em>path_to_dir</em><tt>\<tt>aperiot-0.1.2</tt></tt> 

          </p><p>
          on Windows, or

          </p><p>
          <tt>&nbsp;&nbsp;cd</tt> <em>path_to_dir</em><tt>/<tt>aperiot-0.1.2</tt></tt> 

          </p><p>
          on Unix/Linux, where <em>path_to_dir</em> is the absolute path of
          <em>dir</em>.
          </p><p>
          </p></li><li> Execute the uninstall script by typing the following on the command-line:

          <p>
          <tt>&nbsp;&nbsp;python setup.py uninstall</tt>
          </p></li></ol>
          This will remove all files previously installed, and will leave an
          archived copy (zip file or tarball) of the distribution in the <em>path_to_dir</em><tt>/<tt>aperiot-0.1.2</tt>/dist</tt>
          directory. You can remove it or reinstall the package from it.

          <p>
          </p><hr><h3>Footnotes:</h3>

          <p>
          <a name="tthFtNtAAB"></a><a href="#tthFrefAAB"><sup>1</sup></a>If you removed the distribution directory but you followed the default
          install procedure, then download, extract and reinstall the distribution
          again before uninstalling. If you didn't follow the default install
          procedure, you'll have to manually locate and delete the package directories
          and the scripts. 

        </p></td> 
      </tr> 
    </tbody></table> 
   


</body></html>